Redmine - Defect #42369

Expander icons not switch in Collapse all/Expand all

2025-03-07 04:16 - Anton Nekrasov

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Marius BALTEANU % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 6.0.5

Resolution: Fixed Affected version:

Description

expander icons not switch in Collapse all/Expand all
A possible solution is in the patch.
Related issues:

Related to Redmine - Defect #42532: Expander icon not working in repository tree

Closed

Associated revisions

Revision 23547 - 2025-03-13 21:58 - Marius BALTEANU

Fixes expander icons not switch in Collapse all/Expand all (#42369).

Patch by Anton Nekrasov (user:antror).

Revision 23550 - 2025-03-14 07:10 - Marius BALTEANU
Merged r23547 from trunk to 6.0-stable (#42369).

Revision 23606 - 2025-04-07 22:09 - Marius BALTEANU
Use toggleExpendCollapselcon function in Collapse all/Expand all (#42369).

Revision 23608 - 2025-04-07 22:24 - Marius BALTEANU
Merge r23606 from trunk to 6.0-stable (#42369).

History

#1 - 2025-03-13 21:31 - Marius BALTEANU

- Subject changed from expander icons not switch in Collapse all/Expand all to Expander icons not switch in Collapse all/Expand all

- Status changed from New to Confirmed
- Assignee set to Marius BALTEANU

- Target version set to 6.0.5

#2 - 2025-03-13 21:59 - Marius BALTEANU

- Resolution set to Fixed
Patch committed, thanks for reporting and fixing this issue!

#3 - 2025-03-13 22:00 - Marius BALTEANU

- Status changed from Confirmed to Resolved

#4 - 2025-03-14 07:10 - Marius BALTEANU

2025-05-21

1/2



https://www.redmine.org/attachments/34014

- Status changed from Resolved to Closed

#5 - 2025-04-07 11:54 - Anton Nekrasov
Thanks

#6 - 2025-04-07 11:58 - Go MAEDA
- Related to Defect #42532: Expander icon not working in repository tree added

#7 - 2025-04-07 22:11 - Marius BALTEANU

Applied a change to the fix in order to use the existing toggleExpendCollapselcon function.
